VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "lNamer"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
'Klasa LNamer
Implements Namer
Private nm As String, lname As String, frname As String
'-----
Private Function Namer_getFrname() As String
  Namer_getFrname = frname
End Function
'-----
Private Function Namer_getLname() As String
  Namer_getLname = lname
End Function
'-----
Private Sub Namer_init(ByVal s As String)
  Dim i As Integer
  nm = s                          'Przechowaj cały łańcuch
  i = InStr(nm, ",")              'Jeśli przecinek, to nazwisko po lewej stronie
  If i > 0 Then
    lname = Left$(nm, i - 1)
    frname = Trim$(Right$(nm, Len(nm) - i))
  Else
    lname = nm                    'W przeciwnym razie tylko nazwisko
    frname = ""
  End If
End Sub
